categories.php: List all categories

API: themealdb.com:themealdb-api
Endpoint: /categories.php
Response format: application/json
Charset: utf-8
Auth: unknown
Method: GET
Last Status: 200
Latency: 178ms

Description

Returns all meal categories with descriptions and thumbnail images.

Examples (1)

List all meal categories doc_extracted
curl 'https://www.themealdb.com/api/json/v1/1/categories.php'
import requests

resp = requests.get("https://www.themealdb.com/api/json/v1/1/categories.php")
data = resp.json()
import zingu_apis

api = zingu_apis.api("themealdb")
result = api.fetch("categories.php")

for item in result:
    print(item)
const resp = await fetch("https://www.themealdb.com/api/json/v1/1/categories.php");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 00:21:13.658423 200 178ms
2026-04-16 00:09:59.565308 200 155ms
2026-04-15 01:36:07.540321 200 160ms
2026-04-15 00:14:31.507810 200 204ms
2026-04-14 03:01:44.208779 200 154ms
2026-04-14 00:43:55.043960 200 190ms
2026-04-12 16:06:31.667486 200 156ms
2026-04-12 12:31:25.411514 200 144ms
2026-04-10 06:48:21.669632 200 121ms
2026-04-10 00:55:14.382967 200 109ms
2026-04-09 02:45:23.848984 200 137ms
2026-04-09 01:36:30.187280 200 172ms
2026-03-23 10:50:32.183428 200 108ms
2026-03-23 10:30:53.284234 200 134ms